 function checkaccount(username)
    {
      var re, r;
    
      re = /\S/;
      r = username.match(re);
      if (!r)
      {
        alert("ÇëÊäÈëÓÃ»§Ãû£¡");
		 document.form_reg.P_UserName.focus();
        return false;
      }
      else
      {
        window.open("AcountCheck.Asp?value="+username,"")
      }
    }
  
   function is_zw(str)
  {
	exp=/[0-9a-zA-Z_]/g;
	if(str.search(exp) != -1)
	{
		return false;
	}
	return true;
  }

 function register(){

  if (document.form_reg.P_Hync.value==""){
 eval("zhuce4"  + ".style.display=\"none\";");
 eval("zhuce4_1" + ".style.display=\"\";");
   eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");

 document.form_reg.P_Hync.focus();
 return false;
 }


  if (document.form_reg.P_UserName.value.length<4 || document.form_reg.P_UserName.value.length>20){
 eval("zhuce1"  + ".style.display=\"none\";");
 eval("zhuce1_1" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");
 document.form_reg.P_UserName.focus();
 return false;
 }
 if (is_zw(document.form_reg.P_UserName.value)){
 eval("zhuce1"  + ".style.display=\"none\";");
 eval("zhuce1_1" + ".style.display=\"\";");
  eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");
  document.form_reg.P_UserName.focus();
  return false;
 }
 if (document.form_reg.P_Password.value==""){
 eval("zhuce2"  + ".style.display=\"none\";");
 eval("zhuce2_1" + ".style.display=\"\";");
 eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");

 document.form_reg.P_Password.focus();
  return false;
 }
 if (document.form_reg.P_Password.value==document.form_reg.P_UserName.value ){
 eval("zhuce2"  + ".style.display=\"none\";");
 eval("zhuce2_1" + ".style.display=\"\";");
 eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");

 document.form_reg.P_Password.focus();
 return false;
 } 
 if (document.form_reg.P_Password.value.length<6 ){
 eval("zhuce2"  + ".style.display=\"none\";");
 eval("zhuce2_1" + ".style.display=\"\";");
 eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");

 document.form_reg.P_Password.focus();
 return false;
 }
 if (document.form_reg.P_Password2.value==""){
 eval("zhuce3"  + ".style.display=\"none\";");
 eval("zhuce3_1" + ".style.display=\"\";");
 eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");

 document.form_reg.P_Password2.focus();
 return false;
 }
 if (document.form_reg.P_Password2.value!=document.form_reg.P_Password.value){
 eval("zhuce3"  + ".style.display=\"none\";");
 eval("zhuce3_1" + ".style.display=\"\";");
  eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");

 document.form_reg.P_Password2.focus();
 return false;
 }
 
  if (document.form_reg.P_Email.value=="")
  {
 eval("zhuce7"  + ".style.display=\"none\";");
 eval("zhuce7_1" + ".style.display=\"\";");
  eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");

 document.form_reg.P_Email.focus();
 return false;
 }
 if(document.form_reg.P_Email.value.indexOf("@")==-1 || document.form_reg.P_Email.value.indexOf(".")==-1){ 
 eval("zhuce7"  + ".style.display=\"none\";");
 eval("zhuce7_1" + ".style.display=\"\";");
   eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");

 document.form_reg.P_Email.focus();
 return false;
	}
if (document.form_reg.P_TuJing.value == -1){
 eval("zhuce9"  + ".style.display=\"none\";");
 eval("zhuce9_1" + ".style.display=\"\";");
 eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");
  eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
   document.form_reg.P_TuJing.focus();
 return false;
 }
 if (document.form_reg.P_sjh.value.length>0 && document.form_reg.P_sjh.value.length<8 ){
 eval("zhuce5"  + ".style.display=\"none\";");
 eval("zhuce5_1" + ".style.display=\"\";");
 eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");
 eval("zhuce6_1"  + ".style.display=\"none\";");
 eval("zhuce6" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");

 document.form_reg.P_sjh.focus();
 return false;
 }
 
if (document.form_reg.P_Yzm.value>document.form_reg.P_Yzm2.value || document.form_reg.P_Yzm.value<document.form_reg.P_Yzm2.value)
 {
 eval("zhuce8"  + ".style.display=\"none\";");
 eval("zhuce8_1" + ".style.display=\"\";");
 document.form_reg.P_Yzm.focus();
 return false;
 }
/*
  if (document.form_reg.P_AboutMe.value.length<20 ||document.form_reg.P_AboutMe.value.length>300){
 eval("zhuce6"  + ".style.display=\"none\";");
 eval("zhuce6_1" + ".style.display=\"\";");
 eval("zhuce1_1"  + ".style.display=\"none\";");
 eval("zhuce1" + ".style.display=\"\";");
 eval("zhuce3_1"  + ".style.display=\"none\";");
 eval("zhuce3" + ".style.display=\"\";");
 eval("zhuce4_1"  + ".style.display=\"none\";");
 eval("zhuce4" + ".style.display=\"\";");
 eval("zhuce5_1"  + ".style.display=\"none\";");
 eval("zhuce5" + ".style.display=\"\";");
 eval("zhuce7_1"  + ".style.display=\"none\";");
 eval("zhuce7" + ".style.display=\"\";");
 eval("zhuce2_1"  + ".style.display=\"none\";");
 eval("zhuce2" + ".style.display=\"\";");
 eval("zhuce8_1"  + ".style.display=\"none\";");
 eval("zhuce8" + ".style.display=\"\";");

 document.form_reg.P_AboutMe.focus();
 return false;
 }
 */

 }
 //Òþ²Ø´íÎótable
 function register_XianShi_W_T(sid){
{
	var Tab=sid;
 eval(Tab + "_1" + ".style.display=\"none\";");
 eval(Tab + ".style.display=\"\";");
// document.form_reg.P_UserName.focus();
 return false;
 }
 
 }
   
--> 
